Bug 100801 - evolution hangs when loading attachment
evolution hangs when loading attachment
Product: Red Hat Linux Beta
Classification: Retired
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-07-25 13:10 EDT by Stephen John Smoogen
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-07 00:07:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
BackTrace of Hung Evolution (8.03 KB, text/plain)
2003-07-30 11:49 EDT, Stephen John Smoogen
no flags Details

  None (edit)
Description Stephen John Smoogen 2003-07-25 13:10:59 EDT
Description of problem:

Installed evolution-1.4.3-3 and used with an existing email archive from 1.2.x
(Red Hat Linux 9). Home directory is NFS mounted, but when I try to attach a
file in /tmp, the evolution becomes non-responsive and can only be killed (or
metacity? will say that the application is not responding after a couple of
minutes and ask if you want to kill it).

I have consistently reproduced it in my environment.

Problem still shows up with 1.4.3-5
Comment 1 Jeremy Katz 2003-07-25 22:49:59 EDT
Can you attach to it with gdb and get a backtrace?
Comment 2 Stephen John Smoogen 2003-07-30 11:44:14 EDT
Will try to do so.. I did not recieve the email from bugzilla because of the Red
Hat email burp.
Comment 3 Stephen John Smoogen 2003-07-30 11:49:30 EDT
Created attachment 93261 [details]
BackTrace of Hung Evolution

Here is the backtrace. I have moved the system to RHEL-2.9.5 and replicated it
there also.
Comment 4 Stephen John Smoogen 2003-07-30 15:13:38 EDT
I do not think the problem is evolution limited.. but I do not know where it is.
dia also freezes in a similar call  _dl_sysinfo_int80 in a futex.. the only
application I had seen consistent futex lockups was rpm before.

I think the culprit may be

#8  0x0021d332 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0

but I am not sure.. please let me know how I can debug better.
Comment 5 Jeremy Katz 2003-10-06 16:18:28 EDT
Does the new ORBit2 at http://people.redhat.com/~katzj/ORBit2/ help (for
cambridge only) / have you continued to see this with evolution 1.4.5?
Comment 6 Stephen John Smoogen 2003-10-06 21:28:51 EDT
I have switched all my systems to Taroon.. since then. I have not been able to
duplicate with taroon 

[smooge@glasya smooge]$ rpm -q evolution ORBit2
Comment 7 Jeremy Katz 2003-10-07 00:07:17 EDT
Okay, guessing either it's a) the ORBit2 locking bug or b) something fixed in
1.4.4 or later

Note You need to log in before you can comment on or make changes to this bug.